# Listar estructuras/esquemas de todos los tipos de Entregas

Para obtener las estructuras/esquemas de todos los tipos de Entregas existentes, se debe enviar un GET como el que se especifica a continuación.

<mark style="color:blue;">`GET`</mark> `https://api.persat.com.ar/v1/deliveries-schemas`

#### Path Parameters

| Name           | Type    | Description                                                                |
| -------------- | ------- | -------------------------------------------------------------------------- |
| includeWidgets | Boolean | true \| false. En caso de ser true, incluye la descripcion de los widgets. |

#### Headers

| Name                                            | Type   | Description     |
| ----------------------------------------------- | ------ | --------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer API\_KEY |

{% tabs %}
{% tab title="200: OK includeWidgets=true" %}

```json
{
    "success": true,
    "data": [
        {
            "schema_group": 1,
            "schema_id": 1,
            "production": true,
            "version": 1,
            "draft": false,
            "name": "Entregas de Tiendanube",
            "default_service_time": 15,
            "default_due_days": 0,
            "labels_ids": [],
            "instructions_description": {
                "widgets": [
                    {
                        "id": "FWokQFkOP",
                        "title": "Campo Texto",
                        "subtitle": "Complete con los datos correspondientes",
                        "widget_type": "TEXT_FIELD"
                    }
                ]
            },
            "results_description": {
                "widgets": [
                    {
                        "id": "FW_FINAL_STATE",
                        "title": "Estado final de la entrega",
                        "subtitle": "Seleccione una de las opciones disponibles",
                        "widget_type": "DELIVERY_FINAL_STATE_WIDGET"
                    }
                ]
            }
        }, { ... }        // Otro tipo de entrega
    ]
}
```

{% endtab %}

{% tab title="400: Bad Request Error" %}

```javascript
{
    "success": false,
    "error": {
        "status": 400,
        "type": "BAD_REQUEST",
        "userMessage": "descripción del error"
    }
}
```

{% endtab %}

{% tab title="200: OK includeWidgets=false | undefined" %}

```json
{
    "success": true,
    "data": [
        {
            "schema_group": 1,
            "schema_id": 1,
            "production": true,
            "version": 1,
            "draft": false,
            "name": "Entregas de Tiendanube",
            "default_service_time": 15,
            "default_due_days": 0,
            "labels_ids": []
        }, { ... }        // Otro tipo de Entrega
    ]
}
```

{% endtab %}
{% endtabs %}

### Analizando la Respuesta

La respuesta es identica a la que se obtiene en [Obtener estructura/esquema de un Tipo de Entrega](https://docs.api.persat.com.ar/modulos/gestion-de-entregas/obtener-estructura-esquema-de-un-tipo-de-entrega), solo que "data" ahora es un array, en donde cada item, es cada tipo de Entrega.

{% hint style="info" %}
En caso de no enviar el parámetro **includeWidgets**, los fields "instructions\_description" y "results\_description" no aparecerán en la respuesta
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.api.persat.com.ar/modulos/gestion-de-entregas/listar-estructuras-esquemas-de-todos-los-tipos-de-entregas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
